Get lists
curl --request GET \
--url https://openapi.enginy.ai/v1/lists \
--header 'x-api-key: <api-key>'import requests
url = "https://openapi.enginy.ai/v1/lists"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://openapi.enginy.ai/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"type": "CONTACTS",
"appUrl": "<string>",
"entitiesCount": 123,
"createdBy": {
"id": 123,
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"pageSize": 123,
"total": 123
}
}Lists
Get lists
Retrieve a paginated list of existing contact or company lists. Use this to find an existing list or destination list ID; do not use it as the answer when the user asks you to build a new prospecting list.
Responses include direct Enginy app URLs when available. Each returned list includes an appUrl field. MCP agents should return those URLs to users whenever they are present in the response.
Required scope:
LISTS_READRate limit: 100 requests per minute
GET
/
v1
/
lists
Get lists
Authorizations
Query Parameters
Page number for pagination. Minimum value is 1. Defaults to 1.
Number of items per page. Minimum is 1, maximum is 100. Defaults to 25.
Search term to filter lists by name or description (case-insensitive).
Filter lists by type (CONTACTS or COMPANIES).
Available options:
CONTACTS, COMPANIES